@extends ('layouts.patient')

@section('inner-content')
    <div class="">
        <div class="d-flex align-items-center pt-2">
            <h6 class="my-0 font-weight-bold text-secondary">Care Months</h6>
            <span class="mx-2 text-secondary">|</span>
            <div moe>
                <a start show class="py-0 mb-3">Add</a>
                <form url="/api/careMonth/create">
                    <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                    <div class="mb-2">
                        <select name="startMonth" class="form-control form-control-sm">
                            <option value="">-- Start Month --</option>
                            <option value="1">January</option>
                            <option value="2">February</option>
                            <option value="3">March</option>
                            <option value="4">April</option>
                            <option value="5">May</option>
                            <option value="6">June</option>
                            <option value="7">July</option>
                            <option value="8">August</option>
                            <option value="9">September</option>
                            <option value="10">October</option>
                            <option value="11">November</option>
                            <option value="12">December</option>
                        </select>
                    </div>
                    <div class="mb-2">
                        <select name="startYear" class="form-control form-control-sm">
                            <option value="">-- Start Year --</option>
                            <option value="2020">2020</option>
                            <option value="2021">2021</option>
                            <option value="2022">2022</option>
                            <option value="2023">2023</option>
                            <option value="2024">2024</option>
                            <option value="2025">2025</option>
                            <option value="2026">2026</option>
                            <option value="2027">2027</option>
                            <option value="2028">2028</option>
                            <option value="2029">2029</option>
                            <option value="2030">2030</option>
                        </select>
                    </div>
                    <div class="d-flex align-items-center">
                        <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                        <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                    </div>
                </form>
            </div>
        </div>
        <table class="table table-striped table-sm table-bordered mt-2 mb-0">
            <thead>
            <tr>
                <th class="px-2 text-secondary border-bottom-0">Start Date</th>
                <th class="px-2 text-secondary border-bottom-0">CM Total Time</th>
                <th class="px-2 text-secondary border-bottom-0">MCP</th>
                <th class="px-2 text-secondary border-bottom-0">Created</th>
            </tr>
            </thead>
            <tbody>
            @foreach($careMonths as $careMonth)
                <tr>
                    <td class="px-2">
                        <a href="/patients/view/{{ $patient->uid }}/care-months/view/{{ $careMonth->uid }}">
                            {{friendly_month($careMonth->start_date)}}
                        </a>
                    </td>
                    <td class="px-2">{{time_in_hrminsec($careMonth->cm_total_time_in_seconds)}}</td>
                    <td class="px-2">{{$careMonth->mcp ? $careMonth->mcp->name_display : '-'}}</td>
                    <td class="px-2">{{friendly_date_time($careMonth->created_at)}}</td>
                </tr>
            @endforeach
            </tbody>
        </table>
    </div>
@endsection
